#!/bin/bash
# Date : (2014-08-20 21:03)
# Last Revision : (2014-08-i20 21:03)
# Wine Version used : 1.7.20
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

GOGID="the_witcher_2"
PREFIX="TheWitcher2_gog"
WORKING_WINE_VERSION="1.7.20"

TITLE="GOG.com - The Witcher 2: Assassins of Kings Enhanced Edition"

POL_SetupWindow_Init
POL_Deug_Init

POL_SetupWindow_presentation "$TITLE" "CD Projekt RED" "http://www.gog.com/game/$GOGID" "Hoshpak" "$PREFIX"

POL_Call POL_GoG_setup "$GOGID"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"

POL_Call POL_GoG_install "/nogui"

POL_Call POL_Install_d3dx9_36
POL_Call POL_Install_vcrun2010
POL_Call POL_Install_dotnet40

Set_OS winxp

# Configure the shortcut
GOGPATH="$GOGROOT/The Witcher 2 Enhanced Edition"
POL_Shortcut "Launcher.exe" "The Witcher 2: Assassins of Kings Enhanced Edition" "" "" "Game;"

# Language selection for the manual shortcut
POL_SetupWindow_menu "$(eval_gettext 'What is your preferred language?')" "$(eval_gettext 'Language')" "en: English~fr: French~de: German~it: Italian~es: Spanish~pl: Polish~cz: Czech~hu: Hungarian~jp: Japanese~ru: Russian~tr: Turkish~zh: Chinese" "~"
MAN_LANG=$(echo "${APP_ANSWER}" | cut -d ':' -f 1)

POL_Shortcut_Document "The Witcher 2: Assassins of Kings Enhanced Edition" "$GOGPATH/manual_$MAN_LANG.pdf"

POL_SetupWindow_Close
exit 0
