#!/bin/bash
# Date : (2015-03-09 22:58)
# Last Revision : (2015-03-10 18:23)
# Wine Version used : 1.7.38
# Distribution used to test : Debian testing/jessie
# Author: Hoshpak
# Script license : GPL v2
# Programm license : Retail
# Depend :

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Risen 3: Titan Lords"
PREFIX="Risen3"
WINEVERSION="1.7.38"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Piranha Bytes" "http://risen3.deepsilver.com" "Hoshpak" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"

POL_SetupWindow_InstallMethod "DVD,LOCAL"
if [ "$INSTALL_METHOD" = "DVD" ]; then
	POL_SetupWindow_cdrom
	POL_SetupWindow_check_cdrom "setup.exe"
        SETUP="$CDROM_SETUP"
elif [ "$INSTALL_METHOD" = "LOCAL" ]; then
	POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP="$APP_ANSWER"
fi

POL_Wine_PrefixCreate "$WINEVERSION"
POL_Call POL_Install_wmp9

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$SETUP"
POL_Wine_WaitExit "$TITLE"

POL_Shortcut "Risen3.exe" "$TITLE"

POL_SetupWindow_Close
exit 0
